<?php 
global $base_url; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
    <title>Disknode - <?= $title ?></title>
    <style type="text/css">
    <?php readfile(dirname(__FILE__).DIRECTORY_SEPARATOR.'disknode.style.css'); ?>
    </style>
    <script type="text/javascript">
    function selectPath(selection) {
        if (window.opener.disknodeFiles) {
            if (window.opener.disknodeFiles.add(selection)) {
                elm = document.getElementById('remainOpen');
                if (elm && elm.checked) return;
                window.close();
                return;
            }
            return;
        }
        alert('Unable to set selection. Could not find a disknode editor page.');
    }

    function setCookie(name, value)
    {
        document.cookie = name+'='+escape(value);
    }
    </script>
    <base href="<?= $base_url ?>/" />
</head>
<body>
<h1><?= $title ?></h1>
<h2><?php 
$relpath = "";
if (!empty($subdir)) $_r = "/".$subdir; else $_r = "";
foreach (explode("/", $_r) as $elm)
{
    if ($elm == "") $title = "root";
    else $title = $elm;
    if (!empty($relpath)) $relpath .= "/";
    $relpath .= $elm;
    if (strcmp($relpath, __disknode_getbasedir()) < 0) echo $title;
    else echo "<a href=\"".url("disknode/browse", "subdir=".$relpath)."\">".$title."</a>";
    echo " / ";
}
?></h2>

<?php

if (!is_writable(file_create_path($subdir))) $dirmodlink = array("class" => "disabled", "title" => "Directory is not writeable");
else $dirmodlink = null;

echo theme_status_messages();
?>
<ul>
<?php

if ($subdir != __disknode_getbasedir()) echo "<li><a href=\"".url("disknode/browse", "subdir=".dirname($subdir))."\">..</a></li>";

foreach ($entries as $entry)
{
    if ($entry->isdir)
    {
        echo "<li title=\"Browse directory\"><a href=\"".url("disknode/browse", "subdir=".$entry->filename)."\">$entry->basename</a></li>\n";
    }
    else {
        echo "<li><span onclick=\"selectPath('".addslashes($entry->filename)."')\" ".($entry->dbentry?"class=\"exists\" title=\"This file is already assigned to a node\"":"title=\"Select this file\"").">".$entry->basename."</span>
        <span class=\"filecontrols\">".l("info", "disknode/info", null, "target=".rawurlencode($entry->filename))."</span>
        </li>\n";
    }
}

?>
</ul>

<div id="controls">
<span title="When checked the window will not be closed when an item is selected."><input type="checkbox" id="remainOpen" onclick="setCookie('remainOpen', this.checked);" <?= $_COOKIE["remainOpen"]=="true"?"checked=\"checked\"":"" ?> /><label for="remainOpen">Remain open</label></span>
|
<span title="Upload a file to this directory"><?= l("Upload", "disknode/upload", $dirmodlink, "subdir=".$subdir) ?></span>
|
<span title="Create a new subdirectory"><?= l("Create dir", "disknode/mkdir", $dirmodlink, "subdir=".$subdir) ?></span>
|
<span title="Remove this directory subdirectory"><?= l("Remove dir", "disknode/rmdir", $dirmodlink, "subdir=".$subdir) ?></span>
</div>
</body>
</html>